package org.klomp.eclipse.team.sftp.client;

import java.io.IOException;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;

import org.klomp.eclipse.team.sftp.SftpException;
import org.klomp.eclipse.team.sftp.SftpPlugin;

/**
 * Exception class for fatal communications or protocol errors thrown
 * as a result of physical I/O errors or deviations from the known protocol.
 */
public class SftpCommunicationException extends SftpException
{
    public SftpCommunicationException(String message, IOException e)
    {
        super(new Status(IStatus.ERROR, SftpPlugin.ID, IO_FAILED, message, e));
    }
}
