package org.klomp.eclipse.team.sftp.target;

import org.eclipse.core.runtime.IProgressMonitor;

import org.eclipse.team.core.TeamException;
import org.eclipse.team.core.sync.IRemoteResource;
import org.klomp.eclipse.team.sftp.SftpPlugin;
import org.klomp.eclipse.team.sftp.client.ISftpRunnable;

public class DeleteRecursiveRunnable implements ISftpRunnable
{
    private SftpRemoteTargetResource remote;

    public DeleteRecursiveRunnable(SftpRemoteTargetResource remote)
    {
        this.remote = remote;
    }

    public void run(String basePath, IProgressMonitor monitor) throws TeamException
    {
        if (remote.isContainer())
        {
            monitor.beginTask(null, 100);
            IRemoteResource[] children = remote.members(SftpPlugin.subMonitorFor(monitor, 10));
            for (int i = 0; i < children.length; i++)
            {
                SftpRemoteTargetResource remoteResource = (SftpRemoteTargetResource) children[i];
                remoteResource.delete(SftpPlugin.subMonitorFor(monitor, 80 / children.length));
            }
            remote.getProvider().deleteDirectory(
                basePath,
                remote.getProviderRelativePath(),
                SftpPlugin.subMonitorFor(monitor, 10));
        }
        else
        {
            remote.getProvider().deleteFile(basePath, remote.getProviderRelativePath(), monitor);
        }
    }

}
