package org.klomp.sftp.packet;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.klomp.ssh.DataIO;

public class AcEntry
{
    private int aceType;
    private int aceFlag;
    private int aceMask;
    private String who;

    protected void readAcEntry(InputStream payload, int version) throws IOException
    {
        aceType = DataIO.readInt(payload);
        aceFlag = DataIO.readInt(payload);
        aceMask = DataIO.readInt(payload);
        who = DataIO.readStringUTF8(payload);
    }

    protected void writeAcEntry(ByteArrayOutputStream payload, int version)
    {
        DataIO.writeInt(payload, aceType);
        DataIO.writeInt(payload, aceFlag);
        DataIO.writeInt(payload, aceMask);
        DataIO.writeStringUTF8(payload, who);
    }
}