package org.klomp.sftp.packet;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.klomp.ssh.DataIO;

public class FxpAttrs extends SftpPacket
{
    private Attrs attrs;

    FxpAttrs(int version)
    {
        super(SftpPacket.FXP_ATTRS, version);
    }

    FxpAttrs(int version, int id)
    {
        super(SftpPacket.FXP_ATTRS, version, id);
    }

    protected void readPayload(InputStream payload) throws IOException
    {
        id = DataIO.readInt(payload);
        attrs = new Attrs();
        attrs.readAttrs(payload, version);
    }

    protected void writePayload(ByteArrayOutputStream payload)
    {
        DataIO.writeInt(payload, id);
        attrs.writeAttrs(payload, version);
    }
    public Attrs getAttrs()
    {
        return attrs;
    }

    public void setAttrs(Attrs attrs)
    {
        this.attrs = attrs;
    }
}