package org.klomp.sftp.packet;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.klomp.ssh.DataIO;

public class FxpExtended extends SftpPacket
{
    private String request;

    FxpExtended(int version)
    {
        super(SftpPacket.FXP_EXTENDED, version);
    }

    FxpExtended(int version, int id)
    {
        super(SftpPacket.FXP_EXTENDED, version, id);
    }

    protected void readPayload(InputStream payload) throws IOException
    {
        id = DataIO.readInt(payload);
        request = DataIO.readStringAscii(payload);
    }

    protected void writePayload(ByteArrayOutputStream payload)
    {
        DataIO.writeInt(payload, id);
        DataIO.writeStringAscii(payload, request);
    }

    public String getRequest()
    {
        return request;
    }

    public void setRequest(String request)
    {
        this.request = request;
    }
}