package org.klomp.sftp.packet;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.klomp.ssh.DataIO;

public class FxpExtendedReply extends SftpPacket
{

    FxpExtendedReply(int version)
    {
        super(SftpPacket.FXP_EXTENDED_REPLY, version);
    }

    FxpExtendedReply(int version, int id)
    {
        super(SftpPacket.FXP_EXTENDED_REPLY, version, id);
    }

    protected void readPayload(InputStream payload) throws IOException
    {
        id = DataIO.readInt(payload);
    }

    protected void writePayload(ByteArrayOutputStream payload)
    {
        DataIO.writeInt(payload, id);
    }
}