package org.klomp.sftp.packet;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.klomp.ssh.DataIO;

public class FxpFsetStat extends SftpPacket
{
    private byte[] handle;
    private Attrs attrs;

    FxpFsetStat(int version)
    {
        super(SftpPacket.FXP_FSETSTAT, version);
    }

    FxpFsetStat(int version, int id)
    {
        super(SftpPacket.FXP_FSETSTAT, version, id);
    }

    protected void readPayload(InputStream payload) throws IOException
    {
        id = DataIO.readInt(payload);
        handle = DataIO.readString(payload);
        attrs = new Attrs();
        attrs.readAttrs(payload, version);
    }

    protected void writePayload(ByteArrayOutputStream payload)
    {
        DataIO.writeInt(payload, id);
        DataIO.writeString(payload, handle);
        attrs.writeAttrs(payload, version);
    }
    public Attrs getAttrs()
    {
        return attrs;
    }

    public byte[] getHandle()
    {
        return handle;
    }

    public void setAttrs(Attrs attrs)
    {
        this.attrs = attrs;
    }

    public void setHandle(byte[] handle)
    {
        this.handle = handle;
    }
}