 package org.klomp.sftp.packet;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.klomp.ssh.DataIO;

public class FxpLstat extends SftpPacket {
    private String path;
    private int flags;

    FxpLstat(int version) {
        super(SftpPacket.FXP_LSTAT, version);
    }
    
    FxpLstat(int version, int id) {
        super(SftpPacket.FXP_LSTAT, version, id);
    }

    protected void readPayload(InputStream payload) throws IOException {
        id = DataIO.readInt(payload);
        path = DataIO.readStringUTF8(payload);
        flags = DataIO.readInt(payload);
    }

    protected void writePayload(ByteArrayOutputStream payload) {
        DataIO.writeInt(payload, id);
        DataIO.writeStringUTF8(payload, path);
        DataIO.writeInt(payload, flags);
    }
    public int getFlags() {
        return flags;
    }

    public String getPath() {
        return path;
    }

    public void setFlags(int flags) {
        this.flags = flags;
    }
    
    public void setPath(String path) {
        this.path = path;
    }
}