package org.klomp.sftp.packet;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.klomp.ssh.DataIO;

public class FxpRead extends SftpPacket
{
    private byte[] handle;
    private long offset;
    private int length;

    FxpRead(int version)
    {
        super(SftpPacket.FXP_READ, version);
    }

    FxpRead(int version, int id)
    {
        super(SftpPacket.FXP_READ, version, id);
    }

    protected void readPayload(InputStream payload) throws IOException
    {
        id = DataIO.readInt(payload);
        handle = DataIO.readString(payload);
        offset = DataIO.readLong(payload);
        length = DataIO.readInt(payload);
    }

    protected void writePayload(ByteArrayOutputStream payload)
    {
        DataIO.writeInt(payload, id);
        DataIO.writeString(payload, handle);
        DataIO.writeLong(payload, offset);
        DataIO.writeInt(payload, length);
    }
    
    public String toString()
    {
        return super.toString() + " (offset: " + offset + ", length: " + length + ")";
    }
    
    public byte[] getHandle()
    {
        return handle;
    }

    public int getLength()
    {
        return length;
    }

    public long getOffset()
    {
        return offset;
    }

    public void setHandle(byte[] handle)
    {
        this.handle = handle;
    }

    public void setLength(int len)
    {
        this.length = len;
    }

    public void setOffset(long offset)
    {
        this.offset = offset;
    }
}