package org.klomp.sftp.packet;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.klomp.ssh.DataIO;

public class FxpReadLink extends SftpPacket
{
    private String path;

    FxpReadLink(int version)
    {
        super(SftpPacket.FXP_READLINK, version);
    }

    FxpReadLink(int version, int id)
    {
        super(SftpPacket.FXP_READLINK, version, id);
    }

    protected void readPayload(InputStream payload) throws IOException
    {
        id = DataIO.readInt(payload);
        path = DataIO.readStringUTF8(payload);
    }

    protected void writePayload(ByteArrayOutputStream payload)
    {
        DataIO.writeInt(payload, id);
        DataIO.writeStringUTF8(payload, path);
    }

    public String getPath()
    {
        return path;
    }

    public void setPath(String path)
    {
        this.path = path;
    }
}