package org.klomp.sftp.packet;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.klomp.ssh.DataIO;

public class FxpSymLink extends SftpPacket
{
    private String linkPath;
    private String targetPath;

    FxpSymLink(int version)
    {
        super(SftpPacket.FXP_SYMLINK, version);
    }

    FxpSymLink(int version, int id)
    {
        super(SftpPacket.FXP_SYMLINK, version, id);
    }

    protected void readPayload(InputStream payload) throws IOException
    {
        id = DataIO.readInt(payload);
        linkPath = DataIO.readStringUTF8(payload);
        targetPath = DataIO.readStringUTF8(payload);
    }

    protected void writePayload(ByteArrayOutputStream payload)
    {
        DataIO.writeInt(payload, id);
        DataIO.writeStringUTF8(payload, linkPath);
        DataIO.writeStringUTF8(payload, targetPath);
    }

    public String getLinkPath()
    {
        return linkPath;
    }

    public String getTargetPath()
    {
        return targetPath;
    }

    public void setLinkPath(String linkPath)
    {
        this.linkPath = linkPath;
    }

    public void setTargetPath(String targetPath)
    {
        this.targetPath = targetPath;
    }

}