package org.klomp.sftp.packet;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.klomp.ssh.DataIO;

public class FxpWrite extends SftpPacket
{
    private byte[] handle;
    private long offset;
    private byte[] data;
    private int dataOffset;
    private int dataLength;

    FxpWrite(int version)
    {
        super(SftpPacket.FXP_WRITE, version);
    }

    FxpWrite(int version, int id)
    {
        super(SftpPacket.FXP_WRITE, version, id);
    }

    protected void readPayload(InputStream payload) throws IOException
    {
        id = DataIO.readInt(payload);
        handle = DataIO.readString(payload);
        offset = DataIO.readLong(payload);
        data = DataIO.readString(payload);
        dataOffset = 0;
        dataLength = data.length;
    }

    protected void writePayload(ByteArrayOutputStream payload)
    {
        DataIO.writeInt(payload, id);
        DataIO.writeString(payload, handle);
        DataIO.writeLong(payload, offset);
        DataIO.writeString(payload, data, dataOffset, dataLength);
    }
    public byte[] getData()
    {
        return data;
    }

    public byte[] getHandle()
    {
        return handle;
    }

    public long getOffset()
    {
        return offset;
    }

    public void setData(byte[] data)
    {
        this.data = data;
    }

    public void setData(byte[] data, int dataOffset, int dataLength)
    {
        this.data = data;
        this.dataOffset = dataOffset;
        this.dataLength = dataLength;
    }

    public void setHandle(byte[] handle)
    {
        this.handle = handle;
    }

    public void setOffset(long offset)
    {
        this.offset = offset;
    }

    public int getDataLength()
    {
        return dataLength;
    }

    public int getDataOffset()
    {
        return dataOffset;
    }

    public void setDataLength(int dataLength)
    {
        this.dataLength = dataLength;
    }

    public void setDataOffset(int dataOffset)
    {
        this.dataOffset = dataOffset;
    }

}